import { AmountWithUnitA, LimitAble } from "./TypeUtils.js";
export declare const cssDisplayValues: readonly ["block", "inline"];
export type CssDisplayValue = (typeof cssDisplayValues)[number];
export type CSSLengthSpec = AmountWithUnitA<CSSLengthUnit>;
export declare function to_CSS_string(len: CSSLengthSpec): string;
export type BoxSize = {
    kind: "BoxSize";
    height: CSSLengthSpec;
    width: CSSLengthSpec;
};
export type MaximumVisibleElems = LimitAble<BigInt> & {
    kind: "ElemLimit";
};
export type ItemPositioningStrat = (typeof itemPositioningStrats)[number];
export declare const itemPositioningStrats: readonly ["start", "center", "end", "space-between", "space-around"];
export type CSSLengthUnit = (typeof cssLengthUnits)[number];
export declare const cssLengthUnits: readonly ["px", "rem", "em", "vh", "vw"];
