# Niki Herl's TypeScript Utilities
This is the public readme for TS_Utils's public repository.

To get one important thing out of the way:
## May I use nhl97-ts_utils?
No, as of this time, I do not permit any (re-)use, modification, or redistribution of TS_Utils. See the neighbouring 'LICENSE' file for details.
Though you wouldn't want to use it anyway, as much of the code is incomplete, experimental, and I've since moved active development to a private package.

Still, as this is forever publically readable on NPM, you may as well have some information about the project.

## What was being built here?
In this repository, I collected all the (standalone) TypeScript utilities and experiments I built until early 2024. This includes:
- math and array utilities
- some data structures (in particular, I've had a fascination with trees)
- lots of type utilities and predefined types
- (CSS-)styling-related things

## Who was building it?
Me, Niki Herl, computer science BSc student at TU Wien. Check out my personal website [nikiherl.com](https://nikiherl.com).
